import { WeaTools } from "ecCom";
import { postFetch } from "../util/request";
// 推送配置列表
export const getPushSettingList = (params) => {
  return postFetch("/api/bs/hrmsalary/push/setting/list", params);
};
// 保存推送配置
export const savePushSetting = (params) => {
  return postFetch("/api/bs/hrmsalary/push/setting/save", params);
};
// 删除推送配置
export const deletePushSetting = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/push/setting/delete", "GET", params);
};
// 推送配置明细列表
export const getPushItemList = (params) => {
  return postFetch("/api/bs/hrmsalary/push/item/list", params);
};
// 保存推送配置明细
export const savePushItemList = (params) => {
  return postFetch("/api/bs/hrmsalary/push/item/save", params);
};
// 删除推送配置明细
export const deletePushItemList = (params) => {
  return WeaTools.callApi("/api/bs/hrmsalary/push/item/delete", "GET", params);
};
// 推送记录列表
export const getPushRecordList = (params) => {
  return postFetch("/api/bs/hrmsalary/push/record/list", params);
};
// 推送记录详细列表
export const getPushRecordDetail = (params) => {
  return postFetch("/api/bs/hrmsalary/push/record/detail", params);
};
// 推送记录-推送
export const pushRecords = (params) => {
  return postFetch("/api/bs/hrmsalary/push/record/push", params);
};
// 推送记录-撤回
export const withdrawRecords = (params) => {
  return postFetch("/api/bs/hrmsalary/push/record/withdraw", params);
};
//创建推送记录
export const createPushRecords = (params) => {
  return postFetch("/api/bs/hrmsalary/push/record/create", params);
};
